Summary: Library for ASN.1 and DER manipulation
Name: libtasn1
Version: 4.19.0
Release: r0
License: LGPL-2.1-or-later
Group: base
Packager: Poky Maintainers <poky@lists.yoctoproject.org>
URL: http://www.gnu.org/software/libtasn1/
Source0: dont-depend-on-help2man.patch
Source1: series
Source2: libtasn1-4.19.0.tar.gz
BuildRequires: autoconf-native
BuildRequires: automake-native
BuildRequires: bison-native
BuildRequires: gtk-doc-native
BuildRequires: libtool-cross
BuildRequires: libtool-native
BuildRequires: pkgconfig-native
BuildRequires: python3-native
BuildRequires: texinfo-dummy-native
BuildRequires: virtual/libc
BuildRequires: virtual/x86_64-poky-linux-compilerlibs
BuildRequires: virtual/x86_64-poky-linux-gcc

%description
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.

%package -n libtasn1-src
Summary: Library for ASN.1 and DER manipulation - Source files
License: GPL-3.0-or-later & LGPL-2.1-or-later
Group: devel

%description -n libtasn1-src
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.   This package contains sources for debugging purposes.

%package -n libtasn1-dbg
Summary: Library for ASN.1 and DER manipulation - Debugging files
License: GPL-3.0-or-later & LGPL-2.1-or-later
Group: devel
Recommends: glibc-dbg

%description -n libtasn1-dbg
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.   This package contains ELF symbols and related sources
for debugging purposes.

%package -n libtasn1-staticdev
Summary: Library for ASN.1 and DER manipulation - Development files (Static Libraries)
License: GPL-3.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: libtasn1-dev = 4.19.0-r0

%description -n libtasn1-staticdev
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.   This package contains static libraries for software
development.

%package -n libtasn1-dev
Summary: Library for ASN.1 and DER manipulation - Development files
License: GPL-3.0-or-later & LGPL-2.1-or-later
Group: devel
Requires: libtasn1
Recommends: glibc-dev
Recommends: libtasn1-6 = 4.19.0-r0

%description -n libtasn1-dev
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.   This package contains symbolic links, header files, and
related items necessary for software development.

%package -n libtasn1-doc
Summary: Library for ASN.1 and DER manipulation - Documentation files
License: GPL-3.0-or-later & LGPL-2.1-or-later
Group: doc

%description -n libtasn1-doc
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.   This package contains documentation.

%package -n libtasn1-locale
Summary: Library for ASN.1 and DER manipulation
License: GPL-3.0-or-later & LGPL-2.1-or-later
Group: base

%description -n libtasn1-locale
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.

%package -n libtasn1-bin
Summary: Library for ASN.1 and DER manipulation
License: GPL-3.0-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.17)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.25)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.33)(64bit)
Requires: libc.so.6(GLIBC_2.34)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: libtasn1-6 >= 4.19.0
Requires: libtasn1.so.6()(64bit)
Requires: libtasn1.so.6(LIBTASN1_0_3)(64bit)
Requires: rtld(GNU_HASH)

%description -n libtasn1-bin
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.

%package -n libtasn1-6
Summary: Library for ASN.1 and DER manipulation
License: LGPL-2.1-or-later
Group: base
Requires: libc.so.6()(64bit)
Requires: libc.so.6(GLIBC_2.14)(64bit)
Requires: libc.so.6(GLIBC_2.2.5)(64bit)
Requires: libc.so.6(GLIBC_2.3.4)(64bit)
Requires: libc.so.6(GLIBC_2.38)(64bit)
Requires: libc.so.6(GLIBC_2.4)(64bit)
Requires: libc6 >= 2.40+git0+efb710034e
Requires: rtld(GNU_HASH)
Requires(post): libc.so.6()(64bit)
Requires(post): libc.so.6(GLIBC_2.14)(64bit)
Requires(post): libc.so.6(GLIBC_2.2.5)(64bit)
Requires(post): libc.so.6(GLIBC_2.3.4)(64bit)
Requires(post): libc.so.6(GLIBC_2.38)(64bit)
Requires(post): libc.so.6(GLIBC_2.4)(64bit)
Requires(post): libc6 >= 2.40+git0+efb710034e
Requires(post): rtld(GNU_HASH)
Provides: libtasn1 = 4.19.0
Provides: libtasn1.so.6()(64bit)
Provides: libtasn1.so.6(LIBTASN1_0_3)(64bit)
Provides: libtasn1.so.6(LIBTASN1_4_16_0)(64bit)

%description -n libtasn1-6
A highly portable C library that encodes and decodes DER/BER data following
an ASN.1 schema.

%post -n libtasn1-6
# libtasn1-6 - postinst
#!/bin/sh
set -e
if [ x"$D" = "x" ]; then
	if [ -x /sbin/ldconfig ]; then /sbin/ldconfig ; fi
fi


%files -n libtasn1-src
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/src"
%attr(755,root,root) %dir "/usr/src/debug"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1/4.19.0"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1/4.19.0/lib"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1/4.19.0/src"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1/4.19.0/lib/gl"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1/4.19.0/lib/includes"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/structure.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/parser_aux.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/coding.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/version.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/element.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/gstr.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/element.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/ASN1.y"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/int.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/decoding.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/errors.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/parser_aux.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/ASN1.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/structure.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/gstr.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/gl/string.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/gl/c-ctype.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/lib/includes/libtasn1.h"
%attr(755,root,root) %dir "/usr/src/debug/libtasn1/4.19.0/src/gl"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/asn1Parser.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/asn1Coding.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/benchmark.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/benchmark.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/asn1Decoding.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/getopt.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/progname.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/getopt_int.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/timespec.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/string.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/version-etc.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/getopt-core.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/version-etc.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/read-file.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/progname.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/stdlib.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/getopt-ext.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/getopt1.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/gettime.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/version-etc-fsf.c"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/read-file.h"
%attr(644,root,root) "/usr/src/debug/libtasn1/4.19.0/src/gl/stdio.h"

%files -n libtasn1-dbg
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) %dir "/usr/bin/.debug"
%attr(755,root,root) "/usr/bin/.debug/asn1Decoding"
%attr(755,root,root) "/usr/bin/.debug/asn1Coding"
%attr(755,root,root) "/usr/bin/.debug/asn1Parser"
%attr(755,root,root) %dir "/usr/lib/.debug"
%attr(755,root,root) "/usr/lib/.debug/libtasn1.so.6.6.3"

%files -n libtasn1-dev
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/include"
%attr(755,root,root) %dir "/usr/lib"
%attr(644,root,root) "/usr/include/libtasn1.h"
%attr(755,root,root) %dir "/usr/lib/pkgconfig"
%attr(777,root,root) "/usr/lib/libtasn1.so"
%attr(644,root,root) "/usr/lib/pkgconfig/libtasn1.pc"

%files -n libtasn1-doc
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/share"
%attr(755,root,root) %dir "/usr/share/info"
%attr(755,root,root) %dir "/usr/share/man"
%attr(644,root,root) "/usr/share/info/libtasn1.info"
%attr(755,root,root) %dir "/usr/share/man/man3"
%attr(644,root,root) "/usr/share/man/man3/asn1_encode_simple_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_der_coding.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_get_length_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_decode_simple_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_find_node.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_length_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_read_node_value.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_delete_structure.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_write_value.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_read_value_type.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_delete_element.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_decode_simple_ber.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_get_object_id_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_perror.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_delete_structure2.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_array2tree.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_get_bit_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_der_decoding2.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_read_tag.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_get_tag_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_strerror.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_find_structure_from_oid.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_number_of_elements.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_parser2tree.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_der_decoding_startEnd.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_get_length_ber.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_der_decoding_element.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_create_element.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_parser2array.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_copy_node.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_dup_node.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_der_decoding.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_read_value.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_print_structure.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_octet_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_expand_any_defined_by.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_get_octet_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_expand_octet_string.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_bit_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_object_id_der.3"
%attr(644,root,root) "/usr/share/man/man3/asn1_check_version.3"

%files -n libtasn1-bin
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/bin"
%attr(755,root,root) "/usr/bin/asn1Decoding"
%attr(755,root,root) "/usr/bin/asn1Coding"
%attr(755,root,root) "/usr/bin/asn1Parser"

%files -n libtasn1-6
%defattr(-,-,-,-)
%attr(755,root,root) %dir "/usr"
%attr(755,root,root) %dir "/usr/lib"
%attr(755,root,root) "/usr/lib/libtasn1.so.6.6.3"
%attr(777,root,root) "/usr/lib/libtasn1.so.6"

%%prep
echo "include logs and patches, Please check them in SOURCES"

